# Uses of Class
org.eclipse.emf.compare.ide.ui.internal.logical.resolver.ResourceComputationScheduler

Packages that use ResourceComputationScheduler
Package
Description
org.eclipse.emf.compare.ide.ui.internal.logical.resolver

## Uses of ResourceComputationScheduler in org.eclipse.emf.compare.ide.ui.internal.logical.resolver

Methods in org.eclipse.emf.compare.ide.ui.internal.logical.resolver that return ResourceComputationScheduler
Modifier and Type
Method
Description
`ResourceComputationScheduler<URI>`
DefaultResolutionContext.`getScheduler()`
`ResourceComputationScheduler<URI>`
IResolutionContext.`getScheduler()`
The scheduler used to support multi-threading.
Constructors in org.eclipse.emf.compare.ide.ui.internal.logical.resolver with parameters of type ResourceComputationScheduler
Modifier
Constructor
Description
``
`DefaultResolutionContext(com.google.common.eventbus.EventBus eventBus, IGraph<URI> graph, DependencyGraphUpdater<URI> graphUpdater, ResourceComputationScheduler<URI> scheduler, ModelResourceListener modelResourceListener)`
``
`ModelResourceVisitor(ResourceComputationScheduler<URI> scheduler, SynchronizedResourceSet resourceSet, IResourceDependencyLocalResolver resolver, DiagnosticSupport diagnostic, ThreadSafeProgressMonitor monitor)`
Default constructor.